<div class="contentItem">
  <h1>Logs</h1>
  <h2>&nbsp;</h2>

  <div class="contentItemBody">
    <p>
    Pebble maintains access logs to record all requests that are made to your blog. These are stored in the <code>logs</code> directory underneath the directory where all blog data is stored and log files are rotated at the end of each day. The files
    themselves are written in the <a href="http://httpd.apache.org/docs/logs.html#combined">Combined Log Format</a> and contain information including the visitor's IP address, the requested URI, the date/time and the visitor's user agent (browser type).
      You can see the log file for today by clicking <a href="viewLog.secureaction">Log</a>.
    </p>

    <h3>Housekeeping</h3>
    <p>
    Like those generated from most webservers, the log files generated by Pebble are fairly verbose and can use a large quantity of disk space after a while. For this reason, you should consider deleting or archiving your logs on a regular basis.
    </p>

    <h3>Logging implementations</h3>
    <p>
      Pebble is distributed with the following logging implementations.
      <ul>
        <li><code>net.sourceforge.pebble.logging.CombinedLogFormatLogger</code> : A logger that writes log files in the the <a href="http://httpd.apache.org/docs/logs.html#combined">Combined Log Format</a>. This is the default logger.</li>
        <li><code>net.sourceforge.pebble.logging.NullLogger</code> : A no-op logger that can be used when Pebble logging isn't required, such as when something like Apache provides the necessary logging already. <b>Pebble will not capture any statistics when this logger is used.</b></li>
      </ul>
      To configure which logger is used by your blog, modify the "Logger" plugin on the <a href="viewPlugins.secureaction#logger">Plugins</a> page.
    </p>
  </div>
</div>